Index: code/trunk/test/core/class/IdentifiableTest.cc
===================================================================
--- code/trunk/test/core/class/IdentifiableTest.cc	(revision 11052)
+++ code/trunk/test/core/class/IdentifiableTest.cc	(revision 11071)
@@ -20,5 +20,5 @@
         {
             public:
-                virtual void SetUp()
+                virtual void SetUp() override
                 {
                     new IdentifierManager();
@@ -26,5 +26,5 @@
                 }
 
-                virtual void TearDown()
+                virtual void TearDown() override
                 {
                     ModuleInstance::getCurrentModuleInstance()->unloadAllStaticallyInitializedInstances(StaticInitialization::IDENTIFIER);
@@ -37,5 +37,5 @@
     {
         IdentifiableClass* test = new IdentifiableClass();
-        ASSERT_TRUE(test != NULL);
+        ASSERT_TRUE(test != nullptr);
         delete test;
     }
Index: code/trunk/test/core/class/IdentifierClassHierarchyTest.cc
===================================================================
--- code/trunk/test/core/class/IdentifierClassHierarchyTest.cc	(revision 11052)
+++ code/trunk/test/core/class/IdentifierClassHierarchyTest.cc	(revision 11071)
@@ -86,5 +86,5 @@
                 }
 
-                virtual void test1() {}
+                virtual void test1() override {}
         };
 
@@ -97,6 +97,6 @@
                 }
 
-                virtual void test1() {}
-                virtual void test2() {}
+                virtual void test1() override {}
+                virtual void test2() override {}
         };
 
@@ -109,6 +109,6 @@
                 }
 
-                virtual void test1() {}
-                virtual void test2() {}
+                virtual void test1() override {}
+                virtual void test2() override {}
         };
 
@@ -121,6 +121,6 @@
                 }
 
-                virtual void test1() {}
-                virtual void test2() {}
+                virtual void test1() override {}
+                virtual void test2() override {}
         };
 
@@ -140,14 +140,14 @@
         {
             public:
-                virtual void SetUp()
+                virtual void SetUp() override
                 {
                     new IdentifierManager();
                     ModuleInstance::getCurrentModuleInstance()->loadAllStaticallyInitializedInstances(StaticInitialization::IDENTIFIER);
-                    Context::setRootContext(new Context(NULL));
+                    Context::setRootContext(new Context(nullptr));
                     Identifier::initConfigValues_s = false; // TODO: hack!
                     IdentifierManager::getInstance().createClassHierarchy();
                 }
 
-                virtual void TearDown()
+                virtual void TearDown() override
                 {
                     IdentifierManager::getInstance().destroyClassHierarchy();
Index: code/trunk/test/core/class/IdentifierExternalClassHierarchyTest.cc
===================================================================
--- code/trunk/test/core/class/IdentifierExternalClassHierarchyTest.cc	(revision 11052)
+++ code/trunk/test/core/class/IdentifierExternalClassHierarchyTest.cc	(revision 11071)
@@ -36,5 +36,5 @@
                 }
 
-                virtual void test() {}
+                virtual void test() override {}
         };
 
@@ -47,14 +47,14 @@
         {
             public:
-                virtual void SetUp()
+                virtual void SetUp() override
                 {
                     new IdentifierManager();
                     ModuleInstance::getCurrentModuleInstance()->loadAllStaticallyInitializedInstances(StaticInitialization::IDENTIFIER);
-                    Context::setRootContext(new Context(NULL));
+                    Context::setRootContext(new Context(nullptr));
                     Identifier::initConfigValues_s = false; // TODO: hack!
                     IdentifierManager::getInstance().createClassHierarchy();
                 }
 
-                virtual void TearDown()
+                virtual void TearDown() override
                 {
                     IdentifierManager::getInstance().destroyClassHierarchy();
Index: code/trunk/test/core/class/IdentifierNestedClassHierarchyTest.cc
===================================================================
--- code/trunk/test/core/class/IdentifierNestedClassHierarchyTest.cc	(revision 11052)
+++ code/trunk/test/core/class/IdentifierNestedClassHierarchyTest.cc	(revision 11071)
@@ -107,14 +107,14 @@
         {
             public:
-                virtual void SetUp()
+                virtual void SetUp() override
                 {
                     new IdentifierManager();
                     ModuleInstance::getCurrentModuleInstance()->loadAllStaticallyInitializedInstances(StaticInitialization::IDENTIFIER);
-                    Context::setRootContext(new Context(NULL));
+                    Context::setRootContext(new Context(nullptr));
                     Identifier::initConfigValues_s = false; // TODO: hack!
                     IdentifierManager::getInstance().createClassHierarchy();
                 }
 
-                virtual void TearDown()
+                virtual void TearDown() override
                 {
                     IdentifierManager::getInstance().destroyClassHierarchy();
Index: code/trunk/test/core/class/IdentifierSimpleClassHierarchyTest.cc
===================================================================
--- code/trunk/test/core/class/IdentifierSimpleClassHierarchyTest.cc	(revision 11052)
+++ code/trunk/test/core/class/IdentifierSimpleClassHierarchyTest.cc	(revision 11071)
@@ -38,5 +38,5 @@
                 }
 
-                virtual void test() {}
+                virtual void test() override {}
         };
 
@@ -49,14 +49,14 @@
         {
             public:
-                virtual void SetUp()
+                virtual void SetUp() override
                 {
                     new IdentifierManager();
                     ModuleInstance::getCurrentModuleInstance()->loadAllStaticallyInitializedInstances(StaticInitialization::IDENTIFIER);
-                    Context::setRootContext(new Context(NULL));
+                    Context::setRootContext(new Context(nullptr));
                     Identifier::initConfigValues_s = false; // TODO: hack!
                     IdentifierManager::getInstance().createClassHierarchy();
                 }
 
-                virtual void TearDown()
+                virtual void TearDown() override
                 {
                     IdentifierManager::getInstance().destroyClassHierarchy();
Index: code/trunk/test/core/class/IdentifierTest.cc
===================================================================
--- code/trunk/test/core/class/IdentifierTest.cc	(revision 11052)
+++ code/trunk/test/core/class/IdentifierTest.cc	(revision 11071)
@@ -27,5 +27,5 @@
         {
             public:
-                virtual void SetUp()
+                virtual void SetUp() override
                 {
                     new IdentifierManager();
@@ -33,5 +33,5 @@
                 }
 
-                virtual void TearDown()
+                virtual void TearDown() override
                 {
                     ModuleInstance::getCurrentModuleInstance()->unloadAllStaticallyInitializedInstances(StaticInitialization::IDENTIFIER);
@@ -46,5 +46,5 @@
 
         Identifier* identifier = Class(TestClass);
-        EXPECT_TRUE(identifier != NULL);
+        EXPECT_TRUE(identifier != nullptr);
     }
 
@@ -54,5 +54,5 @@
 
         Identifier* identifier = Class(TestSubclass);
-        EXPECT_TRUE(identifier != NULL);
+        EXPECT_TRUE(identifier != nullptr);
     }
 
Index: code/trunk/test/core/class/OrxonoxClassTest.cc
===================================================================
--- code/trunk/test/core/class/OrxonoxClassTest.cc	(revision 11052)
+++ code/trunk/test/core/class/OrxonoxClassTest.cc	(revision 11071)
@@ -16,11 +16,11 @@
         {
             public:
-                virtual void SetUp()
+                virtual void SetUp() override
                 {
                     new IdentifierManager();
-                    Context::setRootContext(new Context(NULL));
+                    Context::setRootContext(new Context(nullptr));
                 }
 
-                virtual void TearDown()
+                virtual void TearDown() override
                 {
                     Context::destroyRootContext();
@@ -33,5 +33,5 @@
     {
         TestClass* test = new TestClass();
-        ASSERT_TRUE(test != NULL);
+        ASSERT_TRUE(test != nullptr);
         delete test;
     }
Index: code/trunk/test/core/class/OrxonoxInterfaceTest.cc
===================================================================
--- code/trunk/test/core/class/OrxonoxInterfaceTest.cc	(revision 11052)
+++ code/trunk/test/core/class/OrxonoxInterfaceTest.cc	(revision 11071)
@@ -31,11 +31,11 @@
         {
             public:
-                virtual void SetUp()
+                virtual void SetUp() override
                 {
                     new IdentifierManager();
-                    Context::setRootContext(new Context(NULL));
+                    Context::setRootContext(new Context(nullptr));
                 }
 
-                virtual void TearDown()
+                virtual void TearDown() override
                 {
                     Context::destroyRootContext();
@@ -48,5 +48,5 @@
     {
         TestClass1* test = new TestClass1();
-        ASSERT_TRUE(test != NULL);
+        ASSERT_TRUE(test != nullptr);
         delete test;
     }
@@ -55,5 +55,5 @@
     {
         TestClass2* test = new TestClass2();
-        ASSERT_TRUE(test != NULL);
+        ASSERT_TRUE(test != nullptr);
         delete test;
     }
Index: code/trunk/test/core/class/SubclassIdentifierTest.cc
===================================================================
--- code/trunk/test/core/class/SubclassIdentifierTest.cc	(revision 11052)
+++ code/trunk/test/core/class/SubclassIdentifierTest.cc	(revision 11071)
@@ -13,5 +13,5 @@
         {
             public:
-                TestClass(Context* context = NULL) { RegisterObject(TestClass); }
+                TestClass(Context* context = nullptr) { RegisterObject(TestClass); }
         };
 
@@ -19,5 +19,5 @@
         {
             public:
-                TestSubclass(Context* context = NULL) { RegisterObject(TestSubclass); }
+                TestSubclass(Context* context = nullptr) { RegisterObject(TestSubclass); }
         };
 
@@ -29,14 +29,14 @@
         {
             public:
-                virtual void SetUp()
+                virtual void SetUp() override
                 {
                     new IdentifierManager();
                     ModuleInstance::getCurrentModuleInstance()->loadAllStaticallyInitializedInstances(StaticInitialization::IDENTIFIER);
-                    Context::setRootContext(new Context(NULL));
+                    Context::setRootContext(new Context(nullptr));
                     Identifier::initConfigValues_s = false; // TODO: hack!
                     IdentifierManager::getInstance().createClassHierarchy();
                 }
 
-                virtual void TearDown()
+                virtual void TearDown() override
                 {
                     IdentifierManager::getInstance().destroyClassHierarchy();
@@ -77,6 +77,6 @@
         subclassIdentifier = Class(TestSubclass);
 
-        TestClass* instance = subclassIdentifier.fabricate(NULL);
-        ASSERT_TRUE(instance != NULL);
+        TestClass* instance = subclassIdentifier.fabricate(nullptr);
+        ASSERT_TRUE(instance != nullptr);
         EXPECT_EQ(Class(TestSubclass), instance->getIdentifier());
         delete instance;
Index: code/trunk/test/core/class/SuperTest.cc
===================================================================
--- code/trunk/test/core/class/SuperTest.cc	(revision 11052)
+++ code/trunk/test/core/class/SuperTest.cc	(revision 11071)
@@ -14,15 +14,15 @@
         {
             public:
-                TestClass(Context* context = NULL) : BaseObject(context), changedNameBase_(false), xmlPortBase_(false), modeBase_(XMLPort::NOP)
+                TestClass(Context* context = nullptr) : BaseObject(context), changedNameBase_(false), xmlPortBase_(false), modeBase_(XMLPort::NOP)
                 {
                     RegisterObject(TestClass);
                 }
 
-                virtual void changedName()
+                virtual void changedName() override
                 {
                     this->changedNameBase_ = true;
                 }
 
-                virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode)
+                virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override
                 {
                     this->xmlPortBase_ = true;
@@ -38,10 +38,10 @@
         {
             public:
-                TestSubclass(Context* context = NULL) : TestClass(context), changedNameSubclass_(false), xmlPortSubclass_(false), modeSubclass_(XMLPort::NOP)
+                TestSubclass(Context* context = nullptr) : TestClass(context), changedNameSubclass_(false), xmlPortSubclass_(false), modeSubclass_(XMLPort::NOP)
                 {
                     RegisterObject(TestSubclass);
                 }
 
-                virtual void changedName()
+                virtual void changedName() override
                 {
                     this->changedNameSubclass_ = true;
@@ -50,5 +50,5 @@
                 }
 
-                virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode)
+                virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override
                 {
                     this->xmlPortSubclass_ = true;
@@ -70,14 +70,14 @@
         {
             public:
-                virtual void SetUp()
+                virtual void SetUp() override
                 {
                     new IdentifierManager();
                     ModuleInstance::getCurrentModuleInstance()->loadAllStaticallyInitializedInstances(StaticInitialization::IDENTIFIER);
-                    Context::setRootContext(new Context(NULL));
+                    Context::setRootContext(new Context(nullptr));
                     Identifier::initConfigValues_s = false; // TODO: hack!
                     IdentifierManager::getInstance().createClassHierarchy();
                 }
 
-                virtual void TearDown()
+                virtual void TearDown() override
                 {
                     IdentifierManager::getInstance().destroyClassHierarchy();
@@ -132,5 +132,5 @@
         EXPECT_EQ(XMLPort::NOP, test.modeSubclass_);
 
-        Element* element = NULL;
+        Element* element = nullptr;
         test.XMLPort(*element, XMLPort::SaveObject);
 
